
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static
from django.conf import settings

urlpatterns = [
    # path('admin/', admin.site.urls),
    path('ckeditor/', include('ckeditor_uploader.urls')),
    path('i18n/', include('django.conf.urls.i18n')),

    path('messages/', include('ChatServiceApp.urls')),

    path('user_account/', include('AuthApp.js_urls')),

    path('routes/', include('RoutesApp.js_urls')),

    path('subscribes/', include('SubscribesApp.js_urls')),

    path('messages/', include('ChatServiceApp.js_urls')),

    path('reference_data/', include('ReferenceDataApp.js_urls')),

    path('', include('ArticlesApp.js_urls')),
]

from django.conf.urls.i18n import i18n_patterns
urlpatterns += i18n_patterns(
    path('admin/', admin.site.urls),

    path('', include('GeneralApp.urls')),
    path('profile/', include('AuthApp.urls')),


    path('routes/', include('RoutesApp.urls')),

    path('', include('ArticlesApp.urls_translate')),


)

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT) + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)